> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/platform-service/user/member/invitemember.md).

# InviteMember

## 1. 接口描述

本接口(InviteMember)用于邀请单个成员信息。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称          | 必选 | 类型      | 描述                                  |
| ------------- | -- | ------- | ----------------------------------- |
| email         | 是  | String  | 用户邮箱。                               |
| memberGroupId | 否  | String  | 成员组唯一ID。                            |
| openApi       | 否  | Boolean | <p>是否生成API访问密钥。</p><p>默认值：false</p> |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 邀请成员。**

```json
POST /api/v2/user HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: InviteMember
<Common Request Params>

Request：
{

  "email": "Email",
  "memberGroupId":"memberGroupId",
  "openApi": false
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D4",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D4"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                     | 说明           |
| ------- | ----------------------- | ------------ |
| 404     | USER\_NOT\_FOUND        | 指定的用户不存在。    |
| 403     | TEAM\_NOT\_INVITE\_USER | 该团队不支持邀请此用户。 |
| 404     | USER\_HAS\_EXIST        | 指定的用户已存在。    |
